/**
* =====================================================
* -------------------- For desktop --------------------
* =====================================================
*/
body {
  margin-top: 90px;
}

/* ---------------- For Top header ---------------- */
.woa-top-bar-wrap {
  .widget_nav_menu {
    ul li:last-child {
      display: none;
    }
  }
}

/* ---------------- Header ---------------- */
.site-header {
  margin-bottom: 3px !important;
  position: fixed;
  top: 30px;
  width: 100%;
  z-index: 999999;
  border: none!important;
  &:before {
    display: none;
  }

  /* logo */
  .site-branding {
    padding-top: 5px;
  }
  /* right header */
  .secondary-navigation,
  .site-search,
  .site-header-cart {
    display: block;
  }

  .site-header-cart {
    margin-right: 30px!important;
    a.button:not(.checkout) {
      background-color: #e6e6e6;
    }
  }

  .secondary-navigation {
    float: right!important;
    width: 135px!important;
  }

  /* Search */
  .site-search {
    margin-bottom: 0;
    float: right!important;
    width: auto!important;
    margin-right: 0px!important;
    .woof_show_text_search_container {
      .search-field {
        position: absolute !important;
        top: -43px !important;
        right: 35px !important;
      }
    }
  }

  /* Categories Menu */
  .main-navigation {
    width: auto!important;
    margin-right: 0!important;
    float: right!important;
    .primary-navigation {
      &>ul>li>a {
        text-align: center;
        width: auto!important;
      }
      ul.nav-menu > li > a:before ,
      ul.nav-menu ul li:hover > a {
          background-color: #a63932;
      }
      a {
        padding: 0px 10px!important;
        width: 165px!important;
        font-family: "Palatino Linotype", serif;

      }
      ul.sub-menu ul.sub-menu ul.sub-menu {
        overflow-y: auto;
        max-height: 200px;
      }
    }
  }
}

/* ---------------- Slider on homepage ---------------- */
.slider-homepage-shop {
  height: 490px;
  background-color: #5b5b5b;
  .bx-wrapper {
    .bx-viewport {
      height: 490px !important;
      box-shadow: none !important;
    }
  }
}

/* ---------------- Content ---------------- */
.site-content {
  /* Title link */
  .woocommerce-breadcrumb {
    max-width: 67.141em;
    margin-left: auto;
    margin-right: auto;
  }
  /* Change background */
  ul.products li.product {
    background-color: #f9f9f9;
  }
  table.shop_table, table.shop_attributes {
    td {
      background-color: #f9f9f9;
    }
    .actions {
      border-top-color: #f9f9f9;
    }
  }

  #order_review {
    background-color: #f9f9f9;
  }

  #payment .payment_methods > li {
    background-color: #e6e6e6;
    .payment_box {
      background-color: #f9f9f9;
    }
  }

  .order_details {
    background-color: #f9f9f9;
  }
  .order_details:before, .order_details:after {
    display: none;
  }

  .comment_container {
    background-color: #f9f9f9 !important;
  }

  /* Search product on right sidebar */
  .woof_redraw_zone {
    .chosen-choices {
      background-image: none;
      background-color: #eae5df;
      border: none;
      padding-left: 2.617924em;
      border-top: 1.5px #d4d0ca solid;
      border-left: 1px #e3ded8 solid;
      border-right: 1px #e3ded8 solid;
    }

    .woof_text_search_container .woof_container_inner {
      background-image: none;
      background-color: #eeeeee;
      border: none;
      padding-left: 2.617924em;
      border-top: 1.5px #d4d0ca solid;
      border-left: 1px #e3ded8 solid;
      border-right: 1px #e3ded8 solid;
      position: relative;
    }
    .search-field,
    .woof_show_text_search_container {
      font-size: 14px;
      width: 98%;
      position: initial;
      &:before {
        color: #4B3918;
        display: inline-block;
        font: normal normal normal 1em/1 FontAwesome;
        font-size: inherit;
        text-rendering: auto;
        -webkit-font-smoothing: antialiased;
        -moz-osx-font-smoothing: grayscale;
        content: "\f002";
        position: absolute;
        top: 1em;
        left: 1em;
      }
      input {
        height: 37px !important;
        color: #a9a9a9 !important;
        font-family: "Alegreya", sans-serif !important;
        background-color: #bdbebf;
        box-shadow: none;
        width: 100% !important;
      }
    }
  }

  /* Button see more on shop home page*/
  .btn-seemore-shop {
    text-align: right;
    button {
      background-color: #adadad !important;
      font-size: 18px;
      padding: 12px 20px;
      width: 30%;
      border-radius: initial;
      margin-bottom: 50px;
    }
  }

  /* Item product */
  li.product {
    position: relative;
    padding-bottom: 0;
    a.woocommerce-LoopProduct-link {
      .image-wrap {
        background: #ffffff;
        img {
          width: auto;
          margin: 0 auto;
        }
      }
      h3 {
        margin-right: 15px;
      }
      span.price {
        margin-bottom: 75px;
      }
    }
    section.bistro-rating-cart-button {
      position: absolute;
      bottom: 0;
      width: 100%;
    }
  }

  /* List Product */
  ul.products {
    li.product {
      min-height: 520px;
      a.woocommerce-LoopProduct-link {
        .image-wrap {
          img {
            height: 351px;
          }
        }
        h3 {
          min-height: 48px;
        }
      }
    }
  }

  /* Single Product */
  div.product {
    .images {
      a.woocommerce-main-image {
        background: #ffffff;
        img {
          height: 400px;
          width: auto;
          margin: 0 auto;
        }
      }
    }
  }

  /* Widget area on right sidebar */
  .widget-area {
    .sidebar-product-image {
      float: right;
      width: 2.617924em;
      img {
        float: none;
        width: auto;
        height: 60px;
        margin: 0 auto;
      }
    }
  }

  /* Order review on check out page */
  .woocommerce-checkout-review-order {
    position: initial !important;
    width: 41.1764705882% !important;
    margin-left: 0 !important;
  }

  /* Check out page */
  .comfirm-checkout,
  .back-comfirm-checkout {
    padding: 1.41575em;
    clear: right;
    float: right;
    margin-right: 0;
    width: 41.17647% !important;
    background: #f9f9f9;
    text-align: center;
    .button {
      font-size: 1.41575em;
      width: 100%;
    }
  }

  /* Form check out */
  .form-address {
    margin-bottom: 0;
  }
}

/* ---------------- Footer ---------------- */
.site-footer {
  /* banner */
  .banner_footer_ec {
    float: right;
    width: 50%;
    margin-top: -55px;
    margin-bottom: 20px;
    img {
      width: 130px;
      height: 49px;
      margin-bottom: 5px;
      margin-right: 5px;
    }
    a {
      float: right;
    }
  }
  .banner_footer_news {
    display: none;
  }

  /* footer 1*/
  .footer-widget-1 {
    .widget_nav_menu {
      margin: 0;
      .menu-footer-news-menu-container {
        display: none;
      }
    }
  }

  /* footer 3*/
  .footer-widget-3 {
    width: 33% !important;
  }

  .note-footer {
    display: block !important;
  }
}

/**
* ====================================================
* -------------------- For mobile --------------------
* ====================================================
*/
@media screen and (max-width: 768px) {
  body {
    margin-top: 4px;
  }
  /* ---------------- top header ---------------- */
  .woa-top-bar-wrap {
    .woa-top-bar {
      .woa-top-bar-1 {
        float: left;
      }
    }
  }

  /* ---------------- Header ---------------- */
  .site-header {
    position: relative;
    top: 0;
    margin-bottom: 0!important;
    &:before {
      font-size: 15px;
      top: -3.618em !important;
    }

    /* right header */
    .secondary-navigation,
    .site-search,
    .site-header-cart {
      display: none;
    }

    /* Logo */
    .site-branding {
    }

    /* Menu */
    .main-navigation.toggled .handheld-navigation,
    .main-navigation.toggled .menu>ul:not(.nav-menu),
    .main-navigation.toggled ul[aria-expanded=true] {
      max-height: 10000px!important;
    }
    .main-navigation {
      padding-left: 0;
      width: auto!important;
      margin-right: 0!important;
      float: none!important;
      .menu-toggle {
        border: 1px solid #ddd;
        border-radius: 4px;
        padding: 17px 23px;
        font-size: 13px;
        &:before,
        &:after,
        .icon-bar:before {
          width: 20px;
          background-color: #adadad;
        }
      }
      .handheld-navigation {
        margin-left: -1.41575em;
        margin-right: -1.41575em;
        padding-left: 1.41575em;
        background: #b0433c;
        ul.menu {
          li {
            a {
              padding: 2px 0 !important;
              color: #ffffff;
              &:before {
                content: "\f138";
              }
            }
          }
        }
      }
    }
  }

  /* ---------------- Slider on homepage ---------------- */
  .slider-homepage-shop {
    height: 310px;
    background-color: #5b5b5b;
    .bx-wrapper {
      .bx-viewport {
        height: 310px !important;
        .advps-slide {
          .sph-hero {
            background-size: initial !important;
            h1 {
              font-size: 20px;
            }
            p {
              font-size: 15px !important;
              margin-left: 32px;
              margin-right: 32px;
            }
            a button {
              padding: 5px 15px;
            }
          }
        }
      }
    }
  }

  /* ---------------- Content ---------------- */
  .site-content {
    .storefront-product-section {
      h2.section-title {
        padding-top: 60px;
        font-size: 24px;
        margin-bottom: 35px;
      }
    }

    /* Slider product */
    .storefront-product-section:not(.storefront-product-categories) {
      .slick-dots {
        margin-top: -25px;
      }
    }

    /* Single Product */
    div.product {
      .product_title {
        font-size: 30px;
        margin-bottom: 10px;
      }
      .woocommerce-product-rating {
        margin-bottom: 5px;
      }
      .price {
        font-size: 25px;
      }
    }

    /* Table */
    table.shop_table {
      th {
        padding-left: 10px;
        padding-right: 8px;
      }
      td {
        padding-left: 16px;
        padding-right: 18px;
      }
    }

    /* Button see more on shop home page*/
    .btn-seemore-shop {
      text-align: center;
      padding-bottom: 20px;
      button {
        width: 100%;
        margin-top: 30px;
        margin-bottom: 20px;
      }
    }

    /* Order review on check out page */
    .woocommerce-checkout-review-order {
      width: auto !important;
    }

    /* Check out page */
    .comfirm-checkout,
    .back-comfirm-checkout {
      width: 100% !important;
    }
  }

  /* ---------------- Footer ---------------- */
  .site-footer {
    /* banner*/
    .banner_footer_ec {
      float: none;
      margin-top: 20px;
      margin-left: auto;
      margin-right: auto;
      img {
        margin-right: auto;
        margin-left: auto;
      }
      a {
        float: none;
      }
    }

    /* footer 3*/
    .footer-widget-3 {
      width: auto !important;
      .widget:last-child {
        margin-bottom: 10px;
      }
    }

    /* footer bar */
    .storefront-handheld-footer-bar {
      a {
        color: #a63932 !important;
      }
      .count {
        background-color: #a63932 !important;
      }
    }
  }
}

